print "__SAGE_BEGIN__240"
os.chdir("/Volumes/HOME/talks/2006-08-28-musa/sage_notebook/worksheets/_scratch_/cells/6")
# Many random spheres:

t = Tachyon(camera_center=(Integer(5),Integer(6),Integer(5)), look_at=(-RealNumber('.5'),Integer(1),Integer(0)))
t.light((Integer(10),Integer(3),Integer(2)), RealNumber('0.2'), (Integer(1),Integer(1),Integer(1)))
t.texture('t0', ambient=RealNumber('0.1'), diffuse=RealNumber('0.9'), specular=RealNumber('0.5'), opacity=RealNumber('1.0'), color=(RealNumber('1.0'),Integer(0),Integer(0)))
t.texture('t1', ambient=RealNumber('0.1'), diffuse=RealNumber('0.9'), specular=RealNumber('0.3'), opacity=RealNumber('1.0'), color=(Integer(0),RealNumber('1.0'),Integer(0)))
t.texture('t2', ambient=RealNumber('0.2'), diffuse=RealNumber('0.7'), specular=RealNumber('0.5'), opacity=RealNumber('0.7'), color=(Integer(0),Integer(0),RealNumber('1.0')))
t.texture('white', color=(Integer(1),Integer(1),Integer(1)))
t.plane((Integer(0),-Integer(100000),Integer(0)),(Integer(0),Integer(1),Integer(0)),'white')
t.plane((-Integer(100000),Integer(0),Integer(0)),(Integer(1),Integer(0),Integer(0)),'white')

E = EllipticCurve('37a')
P = E([Integer(0),Integer(0)])
Q = P
n = Integer(200)
for i in range(n):
    Q = Q + P
    t.sphere((Q[1], Q[0], ZZ(i)/n), RealNumber('0.1'), 't%s'%(i%Integer(3)))

exec compile(ur't.save()' + '\n', '', 'single')
print "__SAGE_VARS__=%s"%_support_.variables(True)
print "__SAGE_END__240"
